Introduce test-requirements and update to stable/juno

Change-Id: I40907db9fba6008a99d95edb9fd8896fcab43b10
changes/34/147834/1
Dmitry Tantsur 8 years ago
parent e29f66adf6
commit 440351f64e
  1. 6
      requirements.txt
  2. 7
      test-requirements.txt
  3. 8
      tox.ini

@ -1,7 +1,7 @@
eventlet>=0.15.1
eventlet>=0.15.1,<0.16.0
Flask>=0.10,<1.0
python-ironicclient>=0.2.1
python-keystoneclient>=0.10.0
requests>=2.2.0,!=2.4.0
requests>=1.2.1,!=2.4.0
six>=1.7.0
stevedore>=1.1.0
stevedore>=1.0.0

@ -0,0 +1,7 @@
# generic
coverage
docutils
hacking
mock
# plugin-specific

@ -5,8 +5,7 @@ envlist = py27,py33,pep8,func
usedevelop = True
deps =
-r{toxinidir}/requirements.txt
mock
coverage
-r{toxinidir}/test-requirements.txt
commands =
coverage run --branch --include "ironic_discoverd*" -m unittest discover ironic_discoverd.test
coverage report -m --fail-under 90
@ -16,8 +15,7 @@ setenv = PYTHONDONTWRITEBYTECODE=1
basepython = python2.7
deps =
-r{toxinidir}/requirements.txt
hacking
docutils
-r{toxinidir}/test-requirements.txt
commands =
flake8 ironic_discoverd
rst2html.py --strict README.rst /dev/null
@ -33,6 +31,6 @@ import_exceptions = ironicclient.exceptions
basepython = python2.7
deps =
-r{toxinidir}/requirements.txt
mock
-r{toxinidir}/test-requirements.txt
commands =
python functest/run.py

Loading…
Cancel
Save